Bug 519444

Summary: only in main organization i can see kickstart profiles created by users of that organization
Product: Red Hat Satellite 5 Reporter: Jiri Kastner <jkastner>
Component: ProvisioningAssignee: Partha Aji <paji>
Status: CLOSED DEFERRED QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: high Docs Contact:
Priority: high    
Version: 530CC: cperry, dgoodwin, jsherril
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-04 13:28:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 462714    

Description Jiri Kastner 2009-08-26 16:29:11 UTC
Description of problem:
in other organizations can't users see own kickstart profiles for rhel 5.4

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090820.0

How reproducible:
always

Steps to Reproduce:
1. create new organization in satellite
2. register some rhel5-server (release 5.3) using new org. admin credentials
3. create 2 new kickstart profiles (1 based on rhel-i386-server-5-u4 and 1 on rhel-i386-server-5-u3) using same credentials used for registering
4. update details of registered machine to use privisioning and go to section 'provisioning' of selected machine
5. check list of available kickstart profiles
6. re-register rhel5-server with user id from primary organization
7. go to primary organization of your satellite instance
10 repeat steps 3-5
  
Actual results:
only in primary organization both kickstart profiles (rhel-i386-server-5-u4 and -u3) are available

Expected results:
see all created kickstart profiles.

Comment 3 Devan Goodwin 2009-08-27 13:54:25 UTC
09:48am <@dgoodwin> jkastner: got a second to clarify bug #519444
09:48am <@jkastner> yes
09:48am <@dgoodwin> jkastner: so are you creating kickstart profiles with the same name in both organizations?
09:48am <@dgoodwin> or did they have different names
09:48am <@psklenar> weshay: yes manual creating of kvm guest works well, but not from kvm-host > provisioning throgh webUI
09:49am <@jkastner> dgoodwin: different
09:50am <@dgoodwin> jkastner: ok, so if i create profiles A and B in the secondary org, then C and D in the main org
09:50am <@dgoodwin> jkastner: which org sees a problem?
09:50am <@dgoodwin> primary or secondary
09:51am <@jkastner> dgoodwin: secondary org (profile A and B)
09:51am <@dgoodwin> jkastner: so secondary org sees only A and B, main org sees only C and D
09:53am <@jkastner> dgoodwin: in primary org (you can use kickstart profiles C and D after creation), in secondary organization you can't see profiles of your own organization (A and B)

Comment 4 Devan Goodwin 2009-08-27 14:30:55 UTC
Bug can no longer be reproduced after a recent channel sync.

Also some mention that it was only the u4 profiles that were not in the list, the u3 profiles were fine. u4 trees recently had some issues so this may be related.

Going to close for now, lets re-open if we hit it again or isolate the steps to reproduce.

Comment 5 Miroslav Suchý 2009-08-27 14:31:40 UTC
original steps to reproduce is hard to read. simplified version
1) org_admin of secondary org create kickstarts of rhel5. one u4 and one u3
2) try to reprovision some registred machine
3) you will see only u3, but not u4 kickstart
4) if you log in as admin you can reprovision to both u3 and u4

Note: the second org has trust to main (null) org and to one additional one and do not have trust to third one org. Not sure if this matters.

Comment 6 Justin Sherrill 2009-08-27 20:17:44 UTC
Reopening to investigate msuchy's new reproducer steps.